#!/usr/bin/env bash

#
# Copyright 2020-present Open Networking Foundation
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

# Run tests on bmv2

# exit on errors
set -eu -o pipefail

export ONOS_ROOT=`pwd`

echo "Step 6 - Run ${FABRIC_P4TEST} on bmv2"
cd ${FABRIC_P4TEST}
${BMV2_RUN} all

echo "Tests on bmv2 passed"
